Bug 174268 - Review Request: iwidgets - object oriented megawidgets for Tcl
Review Request: iwidgets - object oriented megawidgets for Tcl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://incrtcl.sourceforge.net/
:
Depends On: 177359
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-26 17:39 EST by Wart
Modified: 2012-02-24 03:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 17:18:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2005-11-26 17:39:04 EST
Spec Name or Url: http://www.kobold.org/~wart/fedora/itcl-iwidgets.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/itcl-iwidgets-4.0.1-2.src.rpm
MD5 sums:  http://www.kobold.org/~wart/fedora/MD5SUM.asc
Description: iwidgets is a set of object-oriented megawidgets for Tcl/Tk based on the itcl and itk extensions.
Comment 1 Wart 2005-12-29 13:37:04 EST
Commenting on my own package:

New spec/srpm are needed to reflect new package names for itcl and itk:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=174265

This package should also be renamed "iwidgets" to match upstream.
Comment 2 Wart 2005-12-29 22:02:11 EST
New package that works with the updated itcl/itk packages:

http://www.kobold.org/~wart/fedora/iwidgets.spec
http://www.kobold.org/~wart/fedora/iwidgets-4.0.1-3.src.rpm

This update uses the proper "iwidgets" name to match upstream.  I also cleaned
up the Requires: list and manually install all files since the patch to the
configure script + Makefile was excessively large.
Comment 3 John Mahowald 2006-02-22 09:55:44 EST
Good:

- rpmlint clean
- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
Comment 4 Wart 2006-02-22 13:29:15 EST
Imported and built on devel.

Thanks!
Comment 5 Kevin Fenzi 2007-01-04 15:45:48 EST
Changing summary for tracking purposes. 
Comment 6 Wart 2007-06-27 11:15:44 EDT
Package Change Request
======================
Package Name: iwidgets
New Branches: EL-4 EL-5
Comment 7 Kevin Fenzi 2007-06-27 15:50:39 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.